SDL_UpdateGamepads(3)

NAME
SDL_UpdateGamepads - Manually pump gamepad updates if not using the loop.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

void SDL_UpdateGamepads(void);

DESCRIPTION
This function is called automatically by the event loop if events are enabled. Under such circumstances, it will not be necessary to call this function.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.